### Method

# Gtk Text compute_cursor_extents

since: 4.4

#### Declaration [src]

    void
    gtk_text_compute_cursor_extents (
      GtkText* self,
      gsize position,
      graphene_rect_t* strong,
      graphene_rect_t* weak
    )

#### Description [src]

Determines the positions of the strong and weak cursors for a given character position.

The position of each cursor is stored as a zero-width rectangle. The strong cursor location is the location where characters of the directionality equal to the base direction are inserted. The weak cursor location is the location where characters of the directionality opposite to the base direction are inserted.

The rectangle positions are in widget coordinates.

Available since: 4.4

#### Parameters

`position`

  Type: `gsize`

  The character position.

`strong`

  Type: `graphene_rect_t`

  Location to store the strong cursor position.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`weak`

  Type: `graphene_rect_t`

  Location to store the weak cursor position.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.